#!/bin/bash
# Script que sincroniza una vez el Desktop y Escritorio
. /etc/default/vx-dga-variables/vx-dga-variables-general.conf
if test -z $SINCRO_DESK_ESC ; then
	for USU in $( getent passwd | awk -F ":" '{if ( $3 > 999 &&  $6~/\/home\/.*/) {print $1}}' ) ; do
			# Eliminamos claves pasadas de gestión de los usuarios
			if test -f  /home/$USU/.ssh/authorized_keys ; then
				 sed --follow-symlinks -i "/.*arturo@arturo.*/d" /home/$USU/.ssh/authorized_keys
			fi
			# Eliminamos ~/Desktop y dejamos únicamente el ~/Escritorio
			if ! test -d /home/$USU/Escritorio ; then
				su $USU -c 'mkdir /home/'$USU'/Escritorio' --login
			else
				chown -R $USU /home/$USU/Escritorio
			fi
			su $USU -c 'xdg-user-dirs-update --set DESKTOP $HOME/Escritorio' --login
			if test -d /home/$USU/Desktop ; then
				su $USU -c 'rsync -ahv /home/'$USU'/Desktop/ /home/'$USU'/Escritorio/' --login
				su $USU -c 'mv /home/'$USU'/Desktop /home/'$USU'/.anterior-Desktop' --login
			fi
	done
	echo "$(date) - Se ha sincronizado Desktop y Escritorio para TODOS los usuarios del sistema" > /var/log/vitalinux/sincro_desk_esc.log
	sed -i '/Varibles utilizadas por los paquetes/a SINCRO_DESK_ESC=1' /etc/default/vx-dga-variables/vx-dga-variables-general.conf
fi